PGSQL_CONTROL
-- $Id: ext_bytea.m4,v 1.3 2004/03/08 11:53:13 babolo Exp $
CREATE OR REPLACE FUNCTION bytea(int4, int4) RETURNS bytea
 AS '$libdir/ext_bytea.so.VMAJOR'
  , 'int4_bytea'
 LANGUAGE 'c' WITH(iscachable, isstrict)
;
CREATE OR REPLACE FUNCTION bytea(int4) RETURNS bytea
 AS 'SELECT bytea($1, 4)
    '
 LANGUAGE 'sql' WITH(iscachable, isstrict)
;
CREATE OR REPLACE FUNCTION bytea(int8, int4) RETURNS bytea
 AS '$libdir/ext_bytea.so.VMAJOR'
  , 'int8_bytea'
 LANGUAGE 'c' WITH(iscachable, isstrict)
;
CREATE OR REPLACE FUNCTION bytea(int8) RETURNS bytea
 AS 'SELECT bytea($1, 8)
    '
 LANGUAGE 'sql' WITH(iscachable, isstrict)
;
CREATE OR REPLACE FUNCTION bytea(text) RETURNS bytea
 AS '$libdir/ext_bytea.so.VMAJOR'
  , 'text_bytea'
 LANGUAGE 'c' WITH(iscachable, isstrict)
;
CREATE OR REPLACE FUNCTION text(bytea) RETURNS text
 AS '$libdir/ext_bytea.so.VMAJOR'
  , 'bytea_text'
 LANGUAGE 'c' WITH(iscachable, isstrict)
;
COMMENT ON FUNCTION bytea(int4, int4) IS '      ,   ';
COMMENT ON FUNCTION bytea(int4)       IS '    bytea';
COMMENT ON FUNCTION bytea(int8, int4) IS '      ,   ';
COMMENT ON FUNCTION bytea(int8)       IS '    bytea';
COMMENT ON FUNCTION bytea(text)       IS '    bytea';
